Skip to main content
POST
/
folder
/
v1
/
libraries
/
{libraryId}
/
foldersAndDocuments
/
trash
cURL
curl --request POST \
  --url https://aodocs.altirnao.com/api/folder/v1/libraries/{libraryId}/foldersAndDocuments/trash \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "documentIds": [
    "<string>"
  ],
  "folderIds": [
    "<string>"
  ],
  "kind": "<string>"
}
'
{
  "jobId": "<string>",
  "kind": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://api.aodocs.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

libraryId
string
required

The ID of the library

Query Parameters

deleteMode
enum<string>

Defaults to TRASH

Available options:
PERMANENT,
TRASH
reason
string

The reason for deleting the documents

securityCode
string

The security code

domain
string

The G Suite domain

Body

application/json
documentIds
string[]
folderIds
string[]
kind
string

Response

200 - application/json

A ApiJobId response

jobId
string
kind
string